aboutsummaryrefslogtreecommitdiff
path: root/tcwg-base
diff options
context:
space:
mode:
authorChristophe Lyon <christophe.lyon@linaro.org>2023-10-06 09:23:27 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2023-10-30 10:02:27 +0000
commit862a5c04340d0a9a659fdfe03ba9ae0e04525df7 (patch)
tree1debf671ff90291389b5a45615f0ae255fc68afe /tcwg-base
parent38c05fd2ca651bf4b65638439fc0b07c23116f2d (diff)
tcwg-host: Require docker version >= 24 on aarch64
Support for aarch32 mode on aarch64 machines in docker didn't work well before docker version 24.x in Ubuntu 22.04, leading to problems when running the glibc testsuite. This patch checks the current version is recent enough on aarch64, but does not change the behaviour on aarch32 machines since there is no such problem. Change-Id: I2accd096919a5767088fcbf1fc99eae97ac3ed61
Diffstat (limited to 'tcwg-base')
-rwxr-xr-xtcwg-base/tcwg-host/start.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/tcwg-base/tcwg-host/start.sh b/tcwg-base/tcwg-host/start.sh
index b6c65be5..cdd808a0 100755
--- a/tcwg-base/tcwg-host/start.sh
+++ b/tcwg-base/tcwg-host/start.sh
@@ -96,6 +96,25 @@ case "$(uname -m):$($DOCKER --version | cut -d" " -f3)" in
# need the bridge network, so we choose (1).
workaround="--privileged"
;;
+ aarch64:[0-9].*|\
+ aarch64:1[0-9].*|\
+ aarch64:2[0123].*)
+ # On aarch64 servers (which we generally use both in aarch64
+ # and aarch32 modes), we require a recent-enough docker.
+ # Docker from Ubuntu 20.04 had problems with some syscalls in
+ # aarch32 mode, leading to wrong regression reports when
+ # running glibc tests in aarch32 mode. (version 24.0.5 from
+ # Ubuntu 22.04.3 is OK)
+ msg="Docker too old: $($DOCKER --version). Upgrade to 24.0.5+"
+ # If we are running on the bare machine, make this an error, a
+ # warning otherwise.
+ if [ -f /.dockerenv ]; then
+ echo "WARNING: $msg"
+ else
+ echo "ERROR: $msg"
+ exit 1
+ fi
+ ;;
esac
# Since we're starting a host container, take the opportunity to ensure that GDB